import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib         #   描画グラフにおける日本語表示用
import numpy as np

with pd.ExcelFile('yokodzuna_age.xlsx') as f_xlsx:
    data_xlsx = pd.read_excel(f_xlsx)

name_s = data_xlsx.keys()[2]
age_s = data_xlsx[name_s].values
name_r = data_xlsx.keys()[3]
age_r = data_xlsx[name_r].values

vbins = np.arange(20, 46, 2.5)            #      binの設定
plt.title('横綱の年齢', fontsize = 16)
plt.hist([age_s, age_r], bins = vbins,
               color = ['lime', 'magenta'],
               label = [name_s, name_r])
plt.xlabel('年齢', fontsize = 14)
plt.ylabel('度数', fontsize = 14)
plt.yticks([0, 5, 10, 15], fontsize = 12)        #   Y軸の目盛り
plt.xticks(vbins, rotation = 45, fontsize = 12)  #   X軸の目盛り
plt.legend(fontsize = 14)
plt.tight_layout()          #    グラフの配置を画面内に整える
plt.show()
